Skip to main content
GET
/
greendot
List Green Dot Cash Loads
curl --request GET \
  --url https://api.treasuryprime.com/greendot \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_id": "<string>",
      "amount": "<string>",
      "authorized_at": "<string>",
      "available_at": "<string>",
      "bank_id": "<string>",
      "barcode_number": "<string>",
      "channel_type": "<string>",
      "completed_at": "<string>",
      "device_type": "<string>",
      "email_address": "<string>",
      "expired_at": "<string>",
      "id": "<string>",
      "ip_address": "<string>",
      "latitude": "<string>",
      "longitude": "<string>",
      "metadata": {},
      "retailer_key": "<string>",
      "status": "<string>",
      "voided_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account receiving the cash load. Filterable.

status
string

Current status of the cash load. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size greendot elements, starting after the greendot described by page_cursor. If no more greendots are available, the resulting list will be empty.

data
object[]